<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Welcome to Encoder E-Medias’s documentation! &mdash; Encoder E-Medias 1.0.1 documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="_static/doctools.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="#" class="icon icon-home"> Encoder E-Medias
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <!-- Local TOC -->
              <div class="local-toc"><ul>
<li><a class="reference internal" href="#">Welcome to Encoder E-Medias’s documentation!</a></li>
<li><a class="reference internal" href="#module-ui">ui</a></li>
<li><a class="reference internal" href="#module-options">options</a></li>
<li><a class="reference internal" href="#module-converter">converter</a></li>
<li><a class="reference internal" href="#module-utils">utils</a></li>
<li><a class="reference internal" href="#indices-and-tables">Indices and tables</a></li>
</ul>
</div>
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="#">Encoder E-Medias</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="#" class="icon icon-home"></a> &raquo;</li>
      <li>Welcome to Encoder E-Medias’s documentation!</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/index.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="welcome-to-encoder-e-medias-s-documentation">
<h1>Welcome to Encoder E-Medias’s documentation!<a class="headerlink" href="#welcome-to-encoder-e-medias-s-documentation" title="Permalink to this heading"></a></h1>
<div class="toctree-wrapper compound">
</div>
</section>
<section id="module-ui">
<span id="ui"></span><h1>ui<a class="headerlink" href="#module-ui" title="Permalink to this heading"></a></h1>
<p>Main User interface of the app.</p>
<dl class="py class">
<dt class="sig sig-object py" id="ui.MainPanel">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">ui.</span></span><span class="sig-name descname"><span class="pre">MainPanel</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">application</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">parent</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#ui.MainPanel" title="Permalink to this definition"></a></dt>
<dd><p>Main widget displaying the list of files to convert.</p>
<dl class="py method">
<dt class="sig sig-object py" id="ui.MainPanel.activated">
<span class="sig-name descname"><span class="pre">activated</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#ui.MainPanel.activated" title="Permalink to this definition"></a></dt>
<dd><p>Calls the conversion method with the current parameters.</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="ui.MainPanel.add_a_file">
<span class="sig-name descname"><span class="pre">add_a_file</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#ui.MainPanel.add_a_file" title="Permalink to this definition"></a></dt>
<dd><p>Adds a single file to the conversion list.</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="ui.MainPanel.add_files">
<span class="sig-name descname"><span class="pre">add_files</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">files</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#ui.MainPanel.add_files" title="Permalink to this definition"></a></dt>
<dd><p>Adds a bunch of files to the conversion queue.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>files</strong> – list of file path (str), cannot be None.</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="ui.MainPanel.clear_list">
<span class="sig-name descname"><span class="pre">clear_list</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#ui.MainPanel.clear_list" title="Permalink to this definition"></a></dt>
<dd><p>Clears the list of files to convert.</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="ui.MainPanel.dragEnterEvent">
<span class="sig-name descname"><span class="pre">dragEnterEvent</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">event</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#ui.MainPanel.dragEnterEvent" title="Permalink to this definition"></a></dt>
<dd><p>Triggered when initiating a drag’n drop event.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>event</strong> – Qt event.</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="ui.MainPanel.dragMoveEvent">
<span class="sig-name descname"><span class="pre">dragMoveEvent</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">event</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#ui.MainPanel.dragMoveEvent" title="Permalink to this definition"></a></dt>
<dd><p>Triggered when dragging with the mouse on the window.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>event</strong> – Qt event.</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="ui.MainPanel.dropEvent">
<span class="sig-name descname"><span class="pre">dropEvent</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">event</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#ui.MainPanel.dropEvent" title="Permalink to this definition"></a></dt>
<dd><p>Triggered when dropping an element in the window.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>event</strong> – Qt event.</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="ui.MainPanel.has_image_seq">
<span class="sig-name descname"><span class="pre">has_image_seq</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">folder</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#ui.MainPanel.has_image_seq" title="Permalink to this definition"></a></dt>
<dd><p>Tests for valid image sequences in the folder.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>folder</strong> – folder path (str), cannot be None.</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>True if a sequence of more than 1 image is detected by pyseq, False otherwise.</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="ui.MainPanel.items_selected">
<span class="sig-name descname"><span class="pre">items_selected</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#ui.MainPanel.items_selected" title="Permalink to this definition"></a></dt>
<dd><p>Provides the item currently selected in the listView.</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="ui.MainPanel.remove_file">
<span class="sig-name descname"><span class="pre">remove_file</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#ui.MainPanel.remove_file" title="Permalink to this definition"></a></dt>
<dd><p>Removes the selected line from the list of files to convert.</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="ui.MainPanel.scan_for_ext">
<span class="sig-name descname"><span class="pre">scan_for_ext</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dir_path</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">ext</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#ui.MainPanel.scan_for_ext" title="Permalink to this definition"></a></dt>
<dd><p>Tests if the selected path contains a file with this extension.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>dir_path</strong> – folder path (str), cannot be None.</p></li>
<li><p><strong>ext</strong> – file extension, including the dot ‘.’, ex: .mov ), cannot be None.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>List of files from this folder using that extension [str, str…].</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="ui.MainPanel.set_items">
<span class="sig-name descname"><span class="pre">set_items</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#ui.MainPanel.set_items" title="Permalink to this definition"></a></dt>
<dd><p>Populates the list of items displayed in the listView.</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="ui.MainPanel.showDialog">
<span class="sig-name descname"><span class="pre">showDialog</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#ui.MainPanel.showDialog" title="Permalink to this definition"></a></dt>
<dd><p>Opens a file browser to select files or folders containing media files.</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="ui.MainPanel.show_options">
<span class="sig-name descname"><span class="pre">show_options</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#ui.MainPanel.show_options" title="Permalink to this definition"></a></dt>
<dd><p>Calls the method displaying the options window.</p>
</dd></dl>

</dd></dl>

</section>
<section id="module-options">
<span id="options"></span><h1>options<a class="headerlink" href="#module-options" title="Permalink to this heading"></a></h1>
<p>Options for the media files conversion.</p>
<dl class="py class">
<dt class="sig sig-object py" id="options.OptionsPanel">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">options.</span></span><span class="sig-name descname"><span class="pre">OptionsPanel</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">application</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">parent</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#options.OptionsPanel" title="Permalink to this definition"></a></dt>
<dd><p>Secondary panel containing the options and parameters used during the conversion.</p>
</dd></dl>

</section>
<section id="module-converter">
<span id="converter"></span><h1>converter<a class="headerlink" href="#module-converter" title="Permalink to this heading"></a></h1>
<p>Contains the movie converter class calling ffmpeg via its methods.</p>
<dl class="py class">
<dt class="sig sig-object py" id="converter.MovieConverter">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">converter.</span></span><span class="sig-name descname"><span class="pre">MovieConverter</span></span><a class="headerlink" href="#converter.MovieConverter" title="Permalink to this definition"></a></dt>
<dd><p>Handles the conversion of the media files by calling ffmpeg via its python module.</p>
<dl class="py method">
<dt class="sig sig-object py" id="converter.MovieConverter.convert">
<span class="sig-name descname"><span class="pre">convert</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">list_of_files</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#converter.MovieConverter.convert" title="Permalink to this definition"></a></dt>
<dd><p>Tests if the list_of_files contains files to convert and calls the conversion method.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>list_of_files</strong> – list of file paths [str, str…]</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="converter.MovieConverter.convert_mov">
<span class="sig-name descname"><span class="pre">convert_mov</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">mov</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">output</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#converter.MovieConverter.convert_mov" title="Permalink to this definition"></a></dt>
<dd><p>Main conversion method running ffmpeg to finalize the conversion.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>mov</strong> – list of file paths (str) , cannot be None</p></li>
<li><p><strong>output</strong> – file path of target output file (str)</p></li>
</ul>
</dd>
</dl>
</dd></dl>

</dd></dl>

</section>
<section id="module-utils">
<span id="utils"></span><h1>utils<a class="headerlink" href="#module-utils" title="Permalink to this heading"></a></h1>
<p>Utility class returning necessary data.</p>
<dl class="py class">
<dt class="sig sig-object py" id="utils.Utils">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">utils.</span></span><span class="sig-name descname"><span class="pre">Utils</span></span><a class="headerlink" href="#utils.Utils" title="Permalink to this definition"></a></dt>
<dd><p>Toolbox class containing various usefull methods.</p>
<dl class="py method">
<dt class="sig sig-object py" id="utils.Utils.get_all_exts">
<span class="sig-name descname"><span class="pre">get_all_exts</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#utils.Utils.get_all_exts" title="Permalink to this definition"></a></dt>
<dd><p>Provides a list of supported media files extensions.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>List of supported media files extensions [str, str…].</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="utils.Utils.get_audio_codecs">
<span class="sig-name descname"><span class="pre">get_audio_codecs</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#utils.Utils.get_audio_codecs" title="Permalink to this definition"></a></dt>
<dd><p>Provides a list of available audio codecs.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>List of audio codecs [str, str…]</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="utils.Utils.get_q_settings">
<span class="sig-name descname"><span class="pre">get_q_settings</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#utils.Utils.get_q_settings" title="Permalink to this definition"></a></dt>
<dd><p>Provides a list of available quality settings.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>List of quality settings [str, str…].</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="utils.Utils.get_seqs">
<span class="sig-name descname"><span class="pre">get_seqs</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">folder</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#utils.Utils.get_seqs" title="Permalink to this definition"></a></dt>
<dd><p>Provides a list of images sequences.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>folder</strong> – path of a folder (str), cannot be None.</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>List of image sequences [str, str…]</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="utils.Utils.get_seqs_formated">
<span class="sig-name descname"><span class="pre">get_seqs_formated</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">folder</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#utils.Utils.get_seqs_formated" title="Permalink to this definition"></a></dt>
<dd><p>Provides a list of image sequences in a ffmpeg-friendly format.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>folder</strong> – path of a folder (str), cannot be None.</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>List of image sequences [str, str…].</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="utils.Utils.get_video_codecs">
<span class="sig-name descname"><span class="pre">get_video_codecs</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#utils.Utils.get_video_codecs" title="Permalink to this definition"></a></dt>
<dd><p>Provides a list of available video codecs.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>List of video codecs [str, str…]</p>
</dd>
</dl>
</dd></dl>

</dd></dl>

</section>
<section id="indices-and-tables">
<h1>Indices and tables<a class="headerlink" href="#indices-and-tables" title="Permalink to this heading"></a></h1>
<ul class="simple">
<li><p><a class="reference internal" href="genindex.html"><span class="std std-ref">Index</span></a></p></li>
<li><p><a class="reference internal" href="py-modindex.html"><span class="std std-ref">Module Index</span></a></p></li>
<li><p><a class="reference internal" href="search.html"><span class="std std-ref">Search Page</span></a></p></li>
</ul>
</section>


           </div>
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2022, Cosmin Planchon.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>